<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MATLUSOL</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MATLUSOL"><H1>MATLUSOL</H1></A>
<A HREF="../Mat/MATLUSOL.html#MATLUSOL">MATLUSOL</A> = "lusol" - A matrix type providing direct solvers (LU) for sequential matrices  via the external package LUSOL. If LUSOL is installed (see the manual for
instructions on how to declare the existence of external packages),
a matrix type can be constructed which invokes LUSOL solvers.
After calling <A HREF="../Mat/MatCreate.html#MatCreate">MatCreate</A>(...,A), simply call <A HREF="../Mat/MatSetType.html#MatSetType">MatSetType</A>(A,<A HREF="../Mat/MATLUSOL.html#MATLUSOL">MATLUSOL</A>).
This matrix type is only supported for double precision real.
<P>
This matrix inherits from <A HREF="../Mat/MATSEQAIJ.html#MATSEQAIJ">MATSEQAIJ</A>.  As a result, <A HREF="../Mat/MatSeqAIJSetPreallocation.html#MatSeqAIJSetPreallocation">MatSeqAIJSetPreallocation</A> is
supported for this matrix type.  <A HREF="../Mat/MatConvert.html#MatConvert">MatConvert</A> can be called for a fast inplace conversion
to and from the <A HREF="../Mat/MATSEQAIJ.html#MATSEQAIJ">MATSEQAIJ</A> matrix type.
<P>
<H3><FONT COLOR="#CC3333">Options Database Keys</FONT></H3>
<DT><B>-mat_type lusol </B> -sets the matrix type to "lusol" during a call to <A HREF="../Mat/MatSetFromOptions.html#MatSetFromOptions">MatSetFromOptions</A>()
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../PC/PCLU.html#PCLU">PCLU</A>
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/mat/impls/aij/seq/lusol/lusol.c.html#MATLUSOL">src/mat/impls/aij/seq/lusol/lusol.c</A>
<BR><A HREF="./index.html">Index of all Mat routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
